Edit Price
curl --request PATCH \
--url https://api.example.com/merchant/price/editimport requests
url = "https://api.example.com/merchant/price/edit"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.example.com/merchant/price/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 404,
"code": "PRICE_NOT_FOUND",
"message": "Price not found"
},
"data": null
}
Prices
Edit Price
Edit a price
PATCH
/
merchant
/
price
/
edit
Edit Price
Edit an existing price.
string
required
Price ID to edit
string
Updated price amount
string
Updated currency code
boolean
Whether the price is active
boolean
Indicates if the request was successful
object
Updated price data
Example Request
curl -X PATCH https://api.transaction.gg/merchant/price/edit \
-H "Authorization: Bearer jwt_token" \
-H "Content-Type: application/json" \
-d '{
"priceId": "price_i62wKFQ8sGnLxQ5G",
"amount": "39.99",
"currency": "EUR",
"active": true
}'
Example Response
{
"success": true,
"data": {
"id": "price_i62wKFQ8sGnLxQ5G",
"amount": "39.99",
"currency": "EUR",
"active": true,
"updatedAt": "2024-01-01T00:00:00Z"
}
}
Error Responses
{
"success": false,
"error": {
"status": 404,
"code": "PRICE_NOT_FOUND",
"message": "Price not found"
},
"data": null
}
⌘I